Home > Tags > gem

gem

Dreamhostでgemをインストールする

正確にはインストールするのではないが。。
{RAILS_ROOT}/vendorにgemの実体を格納して、environment.rbでそれを読み込む設定をすれば、Dreamhostでも自由にgemを使えるようになる。

例えば、「will_paginate-2.2.2」というgemをDreamhostで使用したい場合は、
{RAILS_ROOT}/vendorにwill_paginate-2.2.2/以下をごっそり格納し、そのままアップする。
(gemファイルは、C:\Ruby\lib\ruby\gems\1.8\gemsとかにある)

そして、environment.rbに以下を記述する。

Rails::Initializer.run do |config|
 # 省略
  config.load_paths += %W(#{RAILS_ROOT}/vendor/will_paginate-2.2.2/lib)
end

古いバージョンのRailsをインストールする

  • Posted by: sinsengumi
  • 2009年6月3日 6:59 PM
  • Ruby
  • |

古いバージョンのRailsをインストールするには以下のコマンドを叩く。

gem install rails -v 2.2.2

Home > Tags > gem

Search
Feeds
Meta

Return to page top